Condividi:        

Problemi con NET Framework e lettore CIE

Risolvi qui i tuoi problemi legati a Windows '95, '98, ME, NT, 2000, XP, 2003, Vista...

Moderatori: m.paolo, antoo69, -> EleKtrA <-

Problemi con NET Framework e lettore CIE

Postdi binson » 20/12/22 09:23

Ho comprato un lettore:
Diamoen USB 2.0 Intelligent Card Reader Card Reader USB Lettore Esterno ATM/IC/elettronico ID/CAC/Tasse/Bancario Carta/TS-CNS.
Installato il prog. Bit4id del lettore
Ho poi scaricato il programma CIE middlevare 1.4.3.2 e lo installato.
Questo prog. serve per collegare la Carta di Identità al lettore,ma quando provo ad avviarlo si apre una finestra con scritto:
Per eseguire l'applicazione è necessario installare una delle seguenti versioni di :NET framework v4.0
Allora ho provato a scaricare la versione richiesta,ma quando provo ad installarla mi avvisa che nel computer c'è già installata una versione corrispondente o successiva di NET framework.
Sono andato a controllare,ed effettivamente c'è già installata la NET Framework 4.5.
A questo punto cosa devo fare per far funzionare il programma per riconoscere e collegare la CIE ?
Devo cancellare la NET framework 4.5 ed installare la NET framework 4.0 ?
E poi devo reinstallare la NET framework 4.5? o non serve reinstallarla?
PS
Il lettore funziona senza problemi, con la tessera sanitaria TS-CNS,ma a causa problema Framework, non riconosce la CIE
Ringraziando anticipatamente
Cordiali saluti,e buone feste
binson
binson
Utente Junior
 
Post: 55
Iscritto il: 16/08/08 07:46

Sponsor
 

Re: Problemi con NET Framework e lettore CIE

Postdi Dylan666 » 20/12/22 15:57

tu citi la 1.4.3.2 ma io sul sito vedo la 1.4.3.4
https://www.cartaidentita.interno.gov.i ... eware-cie/
Avatar utente
Dylan666
Moderatore
 
Post: 39994
Iscritto il: 18/11/03 16:46

Re: Problemi con NET Framework e lettore CIE

Postdi binson » 21/12/22 08:50

Hai ragione forse avevo scaricato e installato il programma precedente del 2021,Ma dopo aver disinstallato il precedente CIE,ho scaricato il CIE 1.4.3.4 e installato,ma non cambia niente!
Quando clicco sopra l'icona,si apre sempre la finestra in cui c'è scritto:
"Per eseguire l'applicazione è necessario installare una delle seguenti versioni di: NET framework v4.0"
Rimane sempre il problema che che avendo installato già la NET framework 4.5 Non accetta l'installazione della NET framework v4.0 !!
Cosa posso fare?
Saluti
binson
binson
Utente Junior
 
Post: 55
Iscritto il: 16/08/08 07:46

Re: Problemi con NET Framework e lettore CIE

Postdi Dylan666 » 21/12/22 10:56

non puoi mettere il 4.0 avendo il 4.5 e assolutamente NON farei un downgrade (non credo nemmeno sia possibile senza workaround).
Io ho Windows 10 21H2 con il framework 4.8 e il CIE parte perfettamente.
Ecco, più che un DOWNgrade farei un UPgrade:
https://dotnet.microsoft.com/en-us/down ... -installer
Avatar utente
Dylan666
Moderatore
 
Post: 39994
Iscritto il: 18/11/03 16:46

Re: Problemi con NET Framework e lettore CIE

Postdi binson » 21/12/22 20:46

Grazie per la risposta.
Sul mio computer piuttosto vecchio uso win 7.(e naturalmente non voglio certo cambiare il PC).
Se installo framework 4.8 (che non capisco a cosa serve...)possono esserci problemi?
Grazie
Binson
binson
Utente Junior
 
Post: 55
Iscritto il: 16/08/08 07:46

Re: Problemi con NET Framework e lettore CIE

Postdi Dylan666 » 21/12/22 21:06

No, nessuno, Windows 7 SP1 è supportato:
https://support.microsoft.com/en-us/top ... 3c3e7495e0

Comunque Windows 7 non è più supportato dal 2020 dopo 11 anni dal suo debutto.
Capisco che tu non voglia cambiare PC ma i programmi che daranno problemi saranno sempre di più e mano a mano non ci saranno aggiornamenti utili per risolverli
Avatar utente
Dylan666
Moderatore
 
Post: 39994
Iscritto il: 18/11/03 16:46

Re: Problemi con NET Framework e lettore CIE

Postdi binson » 22/12/22 09:16

Ho letto che in win 7 si può disinstallare Framework: Link: https://knowledge.autodesk.com/it/suppo ... ework.html.
Proverò a disinstallare NET framework 4.5 (dopo aver fatto un "ripristino di configurazione sistema") e poi ad installare Framework 4.8
So che Windows 7 non è più supportato,ma so anche che Win 10 è molto spione,e che ad ogni aggiornamento,è pieno di bug,e dopo ogni aggiornamento escono le Patch per correggere errori e bug.
Io,ho un hd con win 10 installato,ma quando lo collego al computer,lo trovo molto macchinoso all'uso,e pieno di cose inutili.
Mentre win 7 è molto più semplice,e mi basta per quello che lo uso.
Grazie
Binson
binson
Utente Junior
 
Post: 55
Iscritto il: 16/08/08 07:46

Re: Problemi con NET Framework e lettore CIE

Postdi Dylan666 » 22/12/22 10:48

Installa direttamente il Net Framework 4.8 senza togliere nulla per favore, che è la procedura standard.
Il Net Framework è essenziale per il funzionamento di moltissimi programmi.
No, Windows 10 non è pieno di bug ad ogni aggiornamento, semplicemente i sui bug sono molto più documentati su Internet di quanto lo fossero quelli di Windows 7.
Vedrai qui solo i primi 1000 aggiornamenti del tuo OS per darti un'idea di quanto non fosse "robusto" più degli altri...

https://www.catalog.update.microsoft.co ... =windows+7

Windows 10 ti spia? Diciamo che devi disattivare delle opzioni di tracciamento che ha pure, probabilmente, il tuo cellulare.
E comunque meglio correre il rischio di essere "spiati" da Microsoft che da un virus dato che sei su un PC con un sistema operativo vulnerabile (dopo il quale ne sono usciti altri 3) le cui vulnerabilità, anche note, non saranno mai patchate.
Avatar utente
Dylan666
Moderatore
 
Post: 39994
Iscritto il: 18/11/03 16:46

Re: Problemi con NET Framework e lettore CIE

Postdi binson » 26/12/22 08:45

Riprendo dopo il Natale,e auguro buon anno e buone feste:
Ho visto il catalogo segnalato di update Win.7
e vorrei chiedere quale degli aggiornamenti mi conviene installare? A parte l'aggiornamento a Win 10.
A proposito di Win 10,ho collegato l'hd con Win 10 e ho scaricato il prog.CIE per l'associazione della Carta di identità elettronica,ho scaricato ed installato il prog. Bit4id e provato a ad associare la carta,ma continua a dirmi che la carta non è presente nel lettore!(...il sist.op.Win 10, continuo ad odiarlo!)
A questo punto,o la mia CIE non funziona,o non funziona il lettore (a parte che per la TS-CNS,che funziona bene)!
Qualche idea per controllare se è colpa del lettore o della CIE? Sono anche andato in Comune,e ho chiesto se potevano controllare se la mia CIE funzionava,ma mi hanno risposto che loro non hanno un lettore di CIE !!
Mi scoccia comprare un lettore nuovo,che magari non mi legge la carta,e rimango con i miei dubbi.
Neanche il mio cellulare ha NCF ...(e con lo smartphone non uso internet)
Grazie e Cordiali saluti
Binson
binson
Utente Junior
 
Post: 55
Iscritto il: 16/08/08 07:46

Re: Problemi con NET Framework e lettore CIE

Postdi Dylan666 » 26/12/22 10:26

La lista di aggiornamenti di Windows 7 serviva solo pet farti capire la quantità di update che ha avuto anche quella versione, non devi installare nulla da lì. Per quanto riguarda Windows 10 a me pare che il software lo abbia installato. Il dubbio te lo levi solo provando una carta che sei sicuro funzioni su quel lettore, o usando un lettore che sai funzionante con il tuo PC e la tua carta. Potresti anche solo provare la tua carta con il lettore cellulare di qualcuno che ha il sensore NFC
Avatar utente
Dylan666
Moderatore
 
Post: 39994
Iscritto il: 18/11/03 16:46

Re: Problemi con NET Framework e lettore CIE

Postdi binson » 26/12/22 17:54

Si mi era venuto in mente che un mio amico ha uno smartphone con il sensore NFC.
Proverò a chiedere se mi fa provare la mia CIE.
Trovo comunque assurdo che il comune,che distribuisce le CIE non abbia un lettore!!
Dovrebbe essere che uno va in Comune per chiedere un documento,consegna la propria carta,controllano che sia io,e mi danno il documento richiesto!...e invece....
Saluti
Binson
binson
Utente Junior
 
Post: 55
Iscritto il: 16/08/08 07:46


Torna a Sistemi Operativi Windows


Topic correlati a "Problemi con NET Framework e lettore CIE":


Chi c’è in linea

Visitano il forum: Nessuno e 81 ospiti